sysutils/runas - The NetBSD Packages Collection

Wrapper around su for running a command as another user

Runas is a tool for running commands as another user.  It is an
alternative to "sudo", which has a history of serious security issues,
and "su", which is inconvenient for anything but running a shell.

The runas command is a simple wrapper around "su" to streamline its
use.  It differs from "sudo" in that it requires the password of the
target user rather than the calling user, and it requires no SUID
permissions or configuration.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64runas-0.2.0.tgz
NetBSD 10.0aarch64runas-0.1.1.tgz
NetBSD 10.0aarch64ebrunas-0.1.1.tgz
NetBSD 10.0aarch64ebrunas-0.2.0.tgz
NetBSD 10.0alpharunas-0.2.0.tgz
NetBSD 10.0earmv6hfrunas-0.2.0.tgz
NetBSD 10.0earmv6hfrunas-0.1.1.tgz
NetBSD 10.0earmv7hfrunas-0.2.0.tgz
NetBSD 10.0earmv7hfrunas-0.1.1.tgz
NetBSD 10.0i386runas-0.2.0.tgz
NetBSD 10.0i386runas-0.1.1.tgz
NetBSD 10.0powerpcrunas-0.1.1.tgz
NetBSD 10.0vaxrunas-0.1.1.tgz
NetBSD 10.0x86_64runas-0.2.0.tgz
NetBSD 10.0_BETAx86_64runas-0.1.1.tgz
NetBSD 8.0i386runas-0.1.1.tgz
NetBSD 8.0i386runas-0.2.0.tgz
NetBSD 8.0powerpcrunas-0.2.0.tgz
NetBSD 8.0powerpcrunas-0.1.1.tgz
NetBSD 8.0x86_64runas-0.1.1.tgz
NetBSD 8.0x86_64runas-0.2.0.tgz
NetBSD 9.0aarch64runas-0.2.0.tgz
NetBSD 9.0aarch64runas-0.1.1.tgz
NetBSD 9.0alpharunas-0.2.0.tgz
NetBSD 9.0earmv6hfrunas-0.2.0.tgz
NetBSD 9.0earmv6hfrunas-0.1.1.tgz
NetBSD 9.0earmv7hfrunas-0.2.0.tgz
NetBSD 9.0earmv7hfrunas-0.1.1.tgz
NetBSD 9.0i386runas-0.1.1.tgz
NetBSD 9.0i386runas-0.2.0.tgz
NetBSD 9.0powerpcrunas-0.1.1.tgz
NetBSD 9.0powerpcrunas-0.2.0.tgz
NetBSD 9.0sh3elrunas-0.1.1.tgz
NetBSD 9.0x86_64runas-0.2.0.tgz
NetBSD 9.0x86_64runas-0.1.1.tgz
NetBSD 9.3x86_64runas-0.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.